bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#11398: 24.0.95; Segfault in unexec on Linux 3.3* with grsecurity/PaX


From: Eli Zaretskii
Subject: bug#11398: 24.0.95; Segfault in unexec on Linux 3.3* with grsecurity/PaX
Date: Wed, 28 Aug 2019 17:51:33 +0300

> From: Stefan Kangas <address@hidden>
> Date: Wed, 28 Aug 2019 15:52:27 +0200
> Cc: Jan Djärv <address@hidden>, address@hidden
> 
> Is this still an issue with Emacs 27.0.50 (current master branch)?
> 
> etc/NEWS says:
> 
>  ** Emacs now uses a "portable dumper" instead of unexec.
>  This improves compatibility with memory allocation on modern systems,
>  and in particular better supports the Address Space Layout
>  Randomization (ASLR) feature, a security technique used by most modern
>  operating systems.

Due to pdumper, I don't believe this could be a problem anymore.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]